import { login } from "@/api/user";
import { getToken, setToken, removeToken } from "@/utils/auth";

const getDefaultState = () => {
  return {
    token: getToken(),
  };
};

const state = getDefaultState();

const mutations = {
  RESET_STATE: (state) => {
    Object.assign(state, getDefaultState());
  },
  SET_TOKEN: (state, token) => {
    state.token = token;
  },
  //   SET_USER_ID: (state, userId) => {
  //     state.userId = userId;
  //   },
};

const actions = {
  // user login
  login({ commit }, userInfo) {
    const { username, password } = userInfo;
    return new Promise((resolve, reject) => {
      login({ username: username.trim(), password: password.trim() })
        .then((response) => {
          const { data } = response;
          commit("SET_TOKEN", data.token);

          setToken(data.token);
          resolve();
        })
        .catch((error) => {
          reject(error);
        });
    });
  },
  //get userid
  //   getUserId({ commit, state }) {
  //     return new Promise((resolve, reject) => {
  //       getUserId()
  //         .then((res) => {
  //           commit("SET_USER_ID", res.data);
  //           resolve(res);
  //         })
  //         .catch((error) => {
  //           reject(error);
  //         });
  //     });
  //   },
  // get user info
  //   getInfo({ commit, state }) {
  //     return new Promise((resolve, reject) => {
  //       getInfo(state.userId)
  //         .then((response) => {
  //           const { data } = response;

  //           if (!data) {
  //             reject("用户名或密码错误！");
  //           }

  //           const { name, avatar } = data;

  //           commit("SET_NAME", name);
  //           commit("SET_AVATAR", avatar);
  //           commit("SET_ORG_ID", data.orgID);
  //           commit("SET_ORG_NAME", data.orgName);
  //           commit("SET_DEPT_ID", data.deptID);
  //           commit("SET_DEPT_NAME", data.deptName);
  //           commit("SET_AGENT", data.agent);
  //           commit("SET_MOBILEPHONE", data.mobilePhone);
  //           commit("SET_REGION_ADMIN_NO", data.regionAdminNo);
  //           commit("SET_DEPT_LEVEL", data.deptLevel);
  //           if (data.meetingID) commit("SET_MEETING_ID", data.meetingID);
  //           if (data.meetingSession)
  //             commit("SET_MEETING_SESSION", data.meetingSession);
  //           if (data.meeting_room && data.meeting_room.room)
  //             commit("SET_MEET_ROOM", data.meeting_room.room);
  //           if (data.meeting_room && data.meeting_room.id)
  //             commit("SET_MEET_ROOM_ID", data.meeting_room.id);
  //           resolve(data);
  //         })
  //         .catch((error) => {
  //           reject(error);
  //         });
  //     });
  //   },

  // get user permissions
  //   getPermissions({ commit, state }) {
  //     return new Promise((resolve, reject) => {
  //       getPermissions(state.userId)
  //         .then((res) => {
  //           commit("SET_PERMISSIONS", res.data);
  //           resolve(res.data);
  //         })
  //         .catch((error) => {
  //           reject(error);
  //         });
  //     });
  //   },

  // user logout
  //   logout({ commit, state }) {
  //     return new Promise((resolve, reject) => {
  //       logout(state.token)
  //         .then(() => {
  //           removeToken(); // must remove  token  first
  //           //   resetRouter();
  //           commit("RESET_STATE");
  //           resolve();
  //         })
  //         .catch((error) => {
  //           reject(error);
  //         });
  //     });
  //   },

  // remove token
  resetToken({ commit }) {
    return new Promise((resolve) => {
      removeToken(); // must remove  token  first
      commit("RESET_STATE");
      resolve();
    });
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
